const validateNs = require('./validateNamespace');
const validateScope = require('./validateScope');
const validateContext = require('./validateContext');
const validateElement = require('./validateElement');
const validateVariant = require('./validateVariant');
const validateCategory = require('./validateCategory');
const validateProperty = require('./validateProperty');
const validateAttribute = require('./validateAttribute');
const validateState = require('./validateState');
const validatePsuedoState = require('./validatePsuedoState');
const {
  analyzeFuzzy,
  getMissingKeys,
  removeFromSet,
  removeFromArray,
  storeSearchableKeys,
} = require('./search');
const { getContextFromString } = require('./jest');

module.exports = {
  validateNs,
  validateScope,
  validateContext,
  validateElement,
  validateVariant,
  validateCategory,
  validateProperty,
  validateAttribute,
  validateState,
  validatePsuedoState,
  analyzeFuzzy,
  getMissingKeys,
  getContextFromString,
  removeFromArray,
  removeFromSet,
  storeSearchableKeys,
};
